org.apache.storm.security.auth.plain

## Class PlainSaslTransportPlugin

- java.lang.Object
- - org.apache.storm.security.auth.sasl.SaslTransportPlugin
  - - org.apache.storm.security.auth.plain.PlainSaslTransportPlugin

- All Implemented Interfaces:
    Closeable, AutoCloseable, ITransportPlugin

  Deprecated.

      @Deprecated
      public class PlainSaslTransportPlugin
      extends SaslTransportPlugin

  This should never be used except for testing. It provides no security at all. The password is hard coded, and even if it were not it is sent in plain text.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.storm.security.auth.sasl.SaslTransportPlugin

      `SaslTransportPlugin.User`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PLAIN` Deprecated.

    - ### Fields inherited from class org.apache.storm.security.auth.sasl.SaslTransportPlugin

      `conf, loginConf, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlainSaslTransportPlugin()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.storm.thrift.transport.TTransport` | `connect(org.apache.storm.thrift.transport.TTransport transport, String serverHost, String asUser)` Deprecated. Connect to the specified server via framed transport.
    `protected org.apache.storm.thrift.transport.TTransportFactory` | `getServerTransportFactory(boolean impersonationAllowed)` Deprecated. Create the transport factory needed for serving.

    - ### Methods inherited from class org.apache.storm.security.auth.sasl.SaslTransportPlugin

      `close, getPort, getServer, prepare`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.security.auth.ITransportPlugin

      `areWorkerTokensSupported`

- - ### Field Detail

    - #### PLAIN

          public static final String PLAIN

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PlainSaslTransportPlugin

          public PlainSaslTransportPlugin()

      Deprecated.

  - ### Method Detail

    - #### getServerTransportFactory

          protected org.apache.storm.thrift.transport.TTransportFactory getServerTransportFactory(boolean impersonationAllowed)
                                                                                           throws IOException

      Deprecated.
      Description copied from class: `SaslTransportPlugin`

      Create the transport factory needed for serving. All subclass must implement this method.

      Specified by:
        `getServerTransportFactory` in class `SaslTransportPlugin`
      Parameters:
        `impersonationAllowed` - true if SASL impersonation should be allowed, else false.
      Returns:
        server transport factory
      Throws:
        `IOException` - on any error.

    - #### connect

          public org.apache.storm.thrift.transport.TTransport connect(org.apache.storm.thrift.transport.TTransport transport,
                                                                      String serverHost,
                                                                      String asUser)
                                                               throws IOException,
                                                                      org.apache.storm.thrift.transport.TTransportException

      Deprecated.
      Description copied from interface: `ITransportPlugin`

      Connect to the specified server via framed transport.

      Parameters:
        `transport` - The underlying Thrift transport.
        `serverHost` - server host
        `asUser` - the user as which the connection should be established, and all the subsequent actions should be executed. Only applicable when using secure storm cluster. A null/blank value here will just indicate to use the logged in user.
      Throws:
        `IOException`
        `org.apache.storm.thrift.transport.TTransportException`

Copyright © 2019 The Apache Software Foundation. All rights reserved.